Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl
Class EncryptedRequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl.EncryptedRequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

Direct Known Subclasses:
  IrisCareNetEncryptedRequestObjectBuilder, WalCareNetEncryptedRequestObjectBuilder

    public class EncryptedRequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

See Also:
  `RequestObjectBuilder`

Constructor Summary
`EncryptedRequestObjectBuilderImpl()`
`EncryptedRequestObjectBuilderImpl(String projectIdentifier)`

Method Summary
`void` | `bootstrap()`
`MemberDataConsultationRequest` | `buildConsultationRequest(boolean isTest, InputReference references, Object attrQuery)` Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedRequestObjectBuilderImpl

    public EncryptedRequestObjectBuilderImpl()

### EncryptedRequestObjectBuilderImpl

    public EncryptedRequestObjectBuilderImpl(String projectIdentifier)

Method Detail

### buildConsultationRequest

    public MemberDataConsultationRequest buildConsultationRequest(boolean isTest,
                                                                  InputReference references,
                                                                  Object attrQuery)
                                                           throws TechnicalConnectorException,
                                                                  MemberDataBusinessConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  Specified by:
    `buildConsultationRequest` in interface `RequestObjectBuilder`
  Parameters:
    `isTest` - indicates if this is a test or not
    `references` - the reference of the the patient
    `attrQuery` - the attribute query who ll be transformed in b64 and maybe encrypted
  Returns:
    the request that need to be sent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `MemberDataBusinessConnectorException` - the MemberData Business connector exception

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.